/*
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License. 
 * 
 * The Original Code is pilot-mailsync.
 * 
 * The Initial Developer of the Original Code is Hollis Blanchard
 * <hollis@austin.rr.com>. Portions created by Hollis Blanchard are Copyright
 * (C) 2001 Hollis Blanchard. All Rights Reserved.
 * 
 * Contributor(s):
 * 
 */

#ifndef _CCLIENTCALLS_H
#define _CCLIENTCALLS_H

#include <time.h>
#include <pi-mail.h>

#include "c-client/c-client.h"
#include "llist.h"
#include "pilot-mailsync.h"

MAILSTREAM *OpenMail(char *mailbox);
void CloseMail(MAILSTREAM *stream);
void MailToPalm(MailCategory mailCtg, MAILSTREAM *stream);
listItem *findMail(struct Mail *pilotMail, MAILSTREAM *mailStream);
void markDeleted(unsigned long msgno, MAILSTREAM *mailStream);
void markSeen(unsigned long msgno, MAILSTREAM *mailStream);
void markSeenAndOnPalm(unsigned long msgno, MAILSTREAM *mailStream);
int isSeen(unsigned long msgno, MAILSTREAM *mailStream);
int isSeenMarkOnPalm(unsigned long msgno, MAILSTREAM *mailStream);
int SMTPMail(struct Mail *mail, const char *from, const char *charset);
int AddMailToMailbox(char *mailbox, struct Mail *mail, const char *from);
char *MailToString(char *string, const struct Mail *mail, const char *from,
					const char *date, const char *charset);
#endif
