/*
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License. 
 * 
 * The Original Code is pilot-mailsync.
 * 
 * The Initial Developer of the Original Code is Hollis Blanchard
 * <hollis@austin.rr.com>. Portions created by Hollis Blanchard are Copyright
 * (C) 2001 Hollis Blanchard. All Rights Reserved.
 * 
 * Contributor(s):
 * Jochen Garcke <jochen@pms.garcke.de>
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#include <pi-dlp.h>
#include <pi-source.h>
#include "libplugin.h"

#include "pilot-mailsync.h"

void plugin_version(int *major_version, int *minor_version)
{
   *major_version=0;
   *minor_version=99;
}

int plugin_get_name(char *name, int len)
{
   strncpy(name, "Pilot-MailSync-Plugin 0.alpha", len);
   return 0;
}

int plugin_get_help_name(char *name, int len)
{
   strncpy(name, "About Pilot-MailSync", len);
   return 0;
}

int plugin_help(char **text, int *width, int *height)
{
   /* We could also pass back *text=NULL */
   *text = strdup(
	   /*-------------------------------------------*/
	   "Pilot-MailSync plugin for J-Pilot was written by\n"
	   "Jochen Garcke (c) 2002.\n"
	   "jochen@pms.garcke.de\n"
	   "http://wissrech.iam.uni-bonn.de/people/garcke/pms\n"
	   );
   *height = 200;
   *width = 300;
   return 0;
}

int plugin_sync(int sd)
{
   jp_init();
   
   jp_logf(LOG_GUI, "MailSync: synching Mail\n");
   
   jpilotMailSync(sd);

   return 0;
}
