/*
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License. 
 * 
 * The Original Code is pilot-mailsync.
 * 
 * The Initial Developer of the Original Code is Hollis Blanchard
 * <hollis@austin.rr.com>. Portions created by Hollis Blanchard are Copyright
 * (C) 2001 Hollis Blanchard. All Rights Reserved.
 * 
 * Contributor(s):
 * 
 */

#ifndef _PILOTMAIL_H
#define _PILOTMAIL_H

#include <time.h>
#include <pi-mail.h>
#include <pi-dlp.h>
#include <pi-socket.h>

#undef DEBUG
//#define DEBUG
#define PACKAGE "pilot-mailsync"
#define VERSION "0.8.0"

extern struct MailSyncPref gPrefs;
extern struct MailSignaturePref gSig;
extern int gSocket, gDB;
extern int nFromPalm, nToPalm;

int jpilotMailSync(int socketId);

#if (PILOT_LINK_VERSION <= 0) && \
	(PILOT_LINK_MAJOR <= 9) && \
	(PILOT_LINK_MINOR < 5)
/* these structures were missing or incomplete in pilot-link < 0.9.5 */

typedef enum {
	mailCtgInbox=0,
	mailCtgOutbox,
	mailCtgDeleted,
	mailCtgFiled,
	mailCtgDraft
} MailCategory;

typedef enum {
	/* $##$!%@ !@#$!@
	mailSyncAll=0,
	mailSyncSend,
	mailSyncFilter,
	*/
	mailSyncUnread=3
} MailSyncType;

typedef enum {
	/* XXX 0? */
	mailPrefLocal=1,
	mailPrefRemote,
	mailPrefSig
} MailPrefId;

#endif /* pilot-link version */

#endif
